### Function

# Gtk accelerator_valid

#### Declaration [src]

    gboolean
    gtk_accelerator_valid (
      guint keyval,
      GdkModifierType modifiers
    )

#### Description [src]

Determines whether a given keyval and modifier mask constitute a valid keyboard accelerator.

For example, the %GDK_KEY_a keyval plus `GDK_CONTROL_MASK` mark is valid, and matches the “Ctrl+a” accelerator. But, you can’t, for instance, use the %GDK_KEY_Control_L keyval as an accelerator.

#### Parameters

`keyval` | `guint`
| A GDK keyval.
`modifiers` | `GdkModifierType`
| Modifier mask.

#### Return value

Returns: | `gboolean`
| `TRUE` if the accelerator is valid.